| Flutter Linux Embedder |

Public Attributes | List of all members
_FlRendererClass Struct Reference

`#include <fl_renderer.h>`

## Public Attributes
GObjectClass | parent_class
void(* | make_current )(FlRenderer *renderer)
void(* | make_resource_current )(FlRenderer *renderer)
void(* | clear_current )(FlRenderer *renderer)
gboolean(* | create_backing_store )(FlRenderer *renderer, const FlutterBackingStoreConfig *config, FlutterBackingStore *backing_store_out)
gboolean(* | collect_backing_store )(FlRenderer *renderer, const FlutterBackingStore *backing_store)

## Detailed Description

FlRenderer:

#FlRenderer is an abstract class that allows Flutter to draw pixels.

Definition at line 38 of file fl_renderer.h.

## Member Data Documentation

## ◆ clear_current

void(* _FlRendererClass::clear_current) (FlRenderer *renderer)

Virtual method called when Flutter needs to clear the OpenGL context. @renderer: an #FlRenderer.

Definition at line 59 of file fl_renderer.h.

## ◆ collect_backing_store

gboolean(* _FlRendererClass::collect_backing_store) (FlRenderer *renderer, const FlutterBackingStore *backing_store)

Virtual method called when Flutter wants to release the backing store. @renderer: an #FlRenderer. @backing_store: backing store to be released.

Returns TRUE if successful.

Definition at line 81 of file fl_renderer.h.

## ◆ create_backing_store

gboolean(* _FlRendererClass::create_backing_store) (FlRenderer *renderer, const FlutterBackingStoreConfig *config, FlutterBackingStore *backing_store_out)

Virtual method called when Flutter needs a backing store for a specific #FlutterLayer. @renderer: an #FlRenderer. @config: backing store config. @backing_store_out: saves created backing store.

Returns TRUE if successful.

Definition at line 70 of file fl_renderer.h.

## ◆ make_current

void(* _FlRendererClass::make_current) (FlRenderer *renderer)

Virtual method called when Flutter needs to make the OpenGL context current. @renderer: an #FlRenderer.

Definition at line 46 of file fl_renderer.h.

## ◆ make_resource_current

void(* _FlRendererClass::make_resource_current) (FlRenderer *renderer)

Virtual method called when Flutter needs to make the OpenGL resource context current. @renderer: an #FlRenderer.

Definition at line 53 of file fl_renderer.h.

## ◆ parent_class

GObjectClass _FlRendererClass::parent_class

Definition at line 39 of file fl_renderer.h.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_renderer.h